<?php

namespace App\Exports;

use Maatwebsite\Excel\Concerns\FromArray;
use Maatwebsite\Excel\Concerns\ShouldAutoSize;
use Maatwebsite\Excel\Concerns\WithColumnWidths;

class UserExport implements FromArray, WithColumnWidths
{
    public function __construct($data)
    {
        $this->data = $data;
    }

    public function array(): array
    {
        return $this->data;
    }

    public function columnWidths(): array
    {
        return [
            'A' => 10,          
            'B' => 12,          
            'C' => 18,          
            'D' => 15,          
            'E' => 18,          
            'F' => 15,          
            'G' => 11,          
            'H' => 18               
        ];
    }
}
