<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class JxStarVideoFlowOrderDailyData extends Model
{
    public $timestamps = false;
    protected $table = 'jx_star_video_flow_order_daily_data';
    protected static $unguarded = true;

    public static function searchData($search) {
        $query = self::query()->where('enable', 1);
        if(isset($search['date']) && !empty($search['date'])) {
            $query->where('date', $search['date']);
        }

        return $query->get();
    }
}
