<?php

namespace App\Support;

use App\Components\EsNative;


/**
 * Class EsModel
 * @package App\Models\Es
 */
class EsModel {
    public static function createIdx($index) {
        /** @var EsNative $es */
        $es = app('es');
        return $es->createIdx($index);
    }

    public static function deleteIdx($index) {
        /** @var EsNative $es */
        $es = app('es');
        return $es->deleteIdx($index);
    }

    public static function existsIdx($index) {
        /** @var EsNative $es */
        $es = app('es');
        return $es->existsIdx($index);
    }

    public static function addDoc($params) {
        /** @var EsNative $es */
        $es = app('es');
        return $es->addDoc($params);
    }

    public static function deleteDoc($params) {
        /** @var EsNative $es */
        $es = app('es');
        return $es->deleteDoc($params);
    }

    public static function updateDoc($params) {
        /** @var EsNative $es */
        $es = app('es');
        return $es->updateDoc($params);
    }

    public static function searchDoc($params) {
        /** @var EsNative $es */
        $es = app('es');
        return $es->searchDoc($params);
    }

    public static function bulkDoc($data) {
        /** @var EsNative $es */
        $es = app('es');
        return $es->bulkDoc($data);
    }
    public static function countDoc($data) {
        /** @var EsNative $es */
        $es = app('es');
        return $es->countDoc($data);
    }

    public static function addAlias($params) {
        /** @var EsNative $es */
        $es = app('es');
        return $es->addAlias($params);
    }
}
