<?php

namespace kwaiSDK\Api\JinNiu;

use kwaiSDK\Api\Request;

class Campaign extends Request
{
    /**
     * 创建广告计划
     * @param array $data
     * @return mixed
     */
    public function create(array $data=[])
    {
        $this->type = 'POST';
        $this->path = '/campaign/create';
        $this->data = $data;

        return $this->exec();
    }

    /**
     * 修改广告计划
     * @param array $data
     * @return mixed
     */
    public function update(array $data=[])
    {
        $this->type = 'POST';
        $this->path = '/campaign/update';
        $this->data = $data;

        return $this->exec();
    }

    /**
     * 修改广告计划状态
     * @param array $data
     * @return mixed
     */
    public function updateStatus(array $data=[])
    {
        $this->type = 'POST';
        $this->path = '/campaign/update/status';
        $this->data = $data;

        return $this->exec();
    }
}
