<?php

namespace kwaiSDK\Api\JinNiu;

use kwaiSDK\Api\Request;

class Unit extends Request
{
    /**
     * 创建广告组
     * @param array $data
     * @return mixed
     */
    public function create(array $data=[])
    {
        $this->type = 'POST';
        $this->path = '/unit/create';
        $this->data = $data;

        return $this->exec();
    }

    /**
     * 修改广告组
     * @param array $data
     * @return mixed
     */
    public function update(array $data=[])
    {
        $this->type = 'POST';
        $this->path = '/unit/update';
        $this->data = $data;

        return $this->exec();
    }

    /**
     * 修改广告组状态
     * @param array $data
     * @return mixed
     */
    public function updateStatus(array $data=[])
    {
        $this->type = 'POST';
        $this->path = '/unit/update/status';
        $this->data = $data;

        return $this->exec();
    }

    /**
     * 修改广告组预算
     * @param array $data
     * @return mixed
     */
    public function updateBudget(array $data=[])
    {
        $this->type = 'POST';
        $this->path = '/unit/update/budget';
        $this->data = $data;

        return $this->exec();
    }

    /**
     * 修改广告组出价
     * @param array $data
     * @return mixed
     */
    public function updateCpaBid(array $data=[])
    {
        $this->type = 'POST';
        $this->path = '/unit/update/cpaBid';
        $this->data = $data;

        return $this->exec();
    }

    /**
     * 修改广告组 roi
     * @param array $data
     * @return mixed
     */
    public function updateRoi(array $data=[])
    {
        $this->type = 'POST';
        $this->path = '/unit/update/roi';
        $this->data = $data;

        return $this->exec();
    }
}
