<?php

namespace App\Http\Controllers\Web;

use App\Http\Controllers\Controller;
use App\Services\CallbackService;
use App\Support\Log;
use Illuminate\Http\Request;

class CallbackController extends Controller
{
    public function jinniuAccountAuth(Request $request)
    {
        $authCode = $request->input('auth_code');
        if (empty($authCode)) return false;

        $state    = $request->input('state');
        $state   = json_decode($state, true);
        $adminId = $state['admin_id'] ?? null;

        CallbackService::jinniuAccountAuth($authCode, $adminId);

        return redirect('');
    }

    public function juxingAccountAuth(Request $request)
    {
        $authCode = $request->input('auth_code');
        if (empty($authCode)) return false;

        $state = $request->input('state');
        Log::info('授权回调结果记录', [$request->all()], 'jxAccountAuth');
        CallbackService::juxingAccountAuth($authCode, $state);

        return redirect('/multipleStar/dist/#/customerAuth');
    }
}
