<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class SupplementOrderTaskRecord extends Model
{
    protected $table = 'jx_supplement_order_task_record';
    public $timestamps = false;
    protected static $unguarded = true;

    /**
     * 存储助推订单生成记录
     * */
    public static function saveRecord($configId, $advertiserId, $taskId, $orderId, $status, $errCode, $message, $supplementId, $customerId)
    {
        $recordModel = new self;
        $recordModel->config_id = $configId;
        $recordModel->customer_id = $customerId;
        $recordModel->advertiser_id = $advertiserId;
        $recordModel->task_id = $taskId;
        $recordModel->order_id = $orderId;
        $recordModel->supplement_order_id = (int)$supplementId;
        $recordModel->status = $status;
        $recordModel->message = $errCode . '_' . $message;

        return $recordModel->save();
    }
}
